import bpy

from ragdollc import registry

from .. import scene
from ..vendor import bpx


@scene.with_properties("rdDistanceConstraint.json")
class RdDistanceConstraintPropertyGroup(scene.PropertyGroup):
    type = "rdDistanceConstraint"


def evaluate_start_state(entity):
    pass


def evaluate_current_state(entity):
    pass


def install():
    scene.register_property_group(RdDistanceConstraintPropertyGroup)


def uninstall():
    scene.unregister_property_group(RdDistanceConstraintPropertyGroup)
