import bpy

from ragdollc import registry

from .. import scene
from ..vendor import bpx


@scene.with_properties("rdEnvironment.json")
class RdEnvironmentPropertyGroup(scene.PropertyGroup):
    type = "rdEnvironment"


def evaluate_start_state(entity):
    pass


def evaluate_current_state(entity):
    pass


def install():
    scene.register_property_group(RdEnvironmentPropertyGroup)


def uninstall():
    scene.unregister_property_group(RdEnvironmentPropertyGroup)
